Swagger::ScopesObject Class Reference

Lists the available scopes for an OAuth2 security scheme. More...

Inheritance diagram for Swagger::ScopesObject:
[legend]

## Public Member Functions

| constructor (hash< auto > oh)
| Constructor. More...
Public Member Functions inherited from Swagger::ObjectBase
| constructor ()
| Constructor.
| constructor (hash< auto > oh)
| Constructor. More...
| constructor (ObjectBase other)
| copy constructor
| initialize (hash< auto > oh)
| Initialize. More...

## Public Attributes

hash< string, string > | fields
| Maps between a name of a scope to a short description of it (as the value of the property). More...
Public Attributes inherited from Swagger::ObjectBase
hash< auto > | vendorExtensions
| Allows extensions to the Swagger Schema. More...

## Detailed Description

Lists the available scopes for an OAuth2 security scheme.

## Member Function Documentation

## constructor()

Swagger::ScopesObject::constructor | ( | hash< auto > | oh | ) |

Constructor.

Parameters

  oh | deserialized hash from the source schema description describing the available scopes for an OAuth2 security scheme

Exceptions

  INVALID-FIELD-TYPE | field has invalid type

## Member Data Documentation

## fields

hash<string, string> Swagger::ScopesObject::fields

Maps between a name of a scope to a short description of it (as the value of the property).

Hash of string values.